tagging a differential revision with a milestone breaks `arc diff`
Closed, ResolvedPublic

Description

When I attempt to submit an update to a differential revision which has been tagged with a milestone, arcanist isn't happy.

arc diff --trace

EXCEPTION: (ArcanistDifferentialCommitMessageParserException) Error parsing field "Tags": The objects you have listed include objects which do not exist (Release-Engineering-Team, (Long-Lived-Branches)). at [<arcanist>/src/differential/ArcanistDifferentialCommitMessage.php:54]
arcanist(), phutil()
  #0 ArcanistDifferentialCommitMessage::pullDataFromConduit(ConduitClient) called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:1795]
  #1 ArcanistDiffWorkflow::getCommitMessageFromRevision(string) called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:1527]
  #2 ArcanistDiffWorkflow::buildCommitMessage() called at [<arcanist>/src/workflow/ArcanistDiffWorkflow.php:469]
  #3 ArcanistDiffWorkflow::run() called at [<arcanist>/scripts/arcanist.php:394]

Commit message

Subpport sub-commands on cli.Application methods

Tags: Release-Engineering-Team (Long-Lived-Branches), #scap3

Maniphest Tasks: T142880

Summary:
...

Notice the Tags: line has a milestone formatted as Parent-project (milestone) and it isn't using the #long-lived-branches hashtag.

I added the milestone tag via the differential web ui. I'm not even sure if I could have added it to the commit message, most likely that would have also caused arcanist to complain.

I tried amending the commit message, changing tags to refer to the milestone's hashtag, as follows:

Tags: #long-lived-branches, #scap3

Unfortunately, arc diff amends it again, putting it back (to Tags: Release-Engineering-Team (Long-Lived-Branches), #scap3) then aborts with the exception I pasted at the top of this report.

20after4 added a project: Arcanist.
nsk123 moved this task from Backlog to vMajor on the Arcanist board.Sep 15 2016, 9:15 AM
epriestley moved this task from vMajor to Backlog on the Arcanist board.Sep 15 2016, 11:46 AM
eadler added a project: Restricted Project.Sep 15 2016, 6:06 PM
epriestley moved this task from Backlog to vNext on the Arcanist board.Nov 14 2016, 5:48 PM
mwwade added a subscriber: mwwade.Nov 23 2016, 8:36 PM
epriestley closed this task as Resolved.Tue, May 2, 4:59 PM
epriestley claimed this task.
epriestley added a subscriber: epriestley.

I think this was fixed by T12659 -- yell if you're still seeing issues?